Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1297878 - Parallel install of rsyslog and syslog-ng broken
Summary: Parallel install of rsyslog and syslog-ng broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radovan Sroka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-12 16:57 UTC by Tomas Heinrich
Modified: 2016-12-20 17:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 17:48:56 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomas Heinrich 2016-01-12 16:57:38 UTC
Splitting of from bug 1224972.

(In reply to Terje Røsten from comment #18)
> Hi Tomas,
>
> this change breaks parallel install of rsyslog and syslog-ng.
> 
> rsyslog and syslog-ng both uses /var/run/syslogd.pid as pidfile,
> as an side effect they can both install identical versions of
> /etc/logrotate.d/syslog and both can be installed at the same time.
> 
> When adding rsyslog specific calls into /etc/logrotate.d/syslog you break
> this design.
> 
> rsyslog as of rsyslog-8.10.0-1.fc23.x86_64 uses pidfile /var/run/syslogd.pid
> and the previous line of 
> 
> /bin/kill -HUP `cat /var/run/syslogd.pid 2> /dev/null` 2> /dev/null || true
> 
> still works.
> 
> { If you refuse to revert this change, at least mark syslog-ng as conflict 
>   rsyslog, this way dnf can remove rsyslog when installing syslog-ng. }

Comment 1 Tomas Heinrich 2016-01-12 17:12:35 UTC
In my opinion, this whole setup has, cumulatively, created more confusion than good.
I think it would be better to somehow split the preconceptions of rsyslog and syslog-ng about the file layout and content. Such a change should be appropriate for rawhide.

In f23, I guess I'll just revert the logrotate file to the f22 version so that it doesn't cause any more confusion.

Comment 2 Terje Røsten 2016-01-22 23:33:18 UTC
Hi Tomas!

This sounds good to me.

I don't care much how this is fixed, the old concept is not that novel.
However it's important that a solution is found soon.

Btw: The problem is present in RHEL7/EPEL also I think.

Comment 5 Fedora End Of Life 2016-11-24 14:52:40 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 17:48:56 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.